# vim: set ts=4 sw=4 et:

Name:           python-pycdio
Version:        0.17
Release:        3.1
Summary:        Python Bindings for the CDIO Library 
# http://pypi.python.org/packages/source/p/pycdio/pycdio-%{version}.tar.gz
Source:         pycdio-%{version}.tar.bz2
URL:            http://pypi.python.org/pypi/pycdio/
Group:          Development/Libraries/Python
License:        GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  python python-devel python-setuptools
BuildRequires:  libcdio-devel pkgconfig gcc glibc-devel swig
%py_requires

%description
pycdio is a Python interface to the CD Input and Control library (libcdio).

The pycdio (and libcdio) libraries encapsulate CD-ROM reading and control.
Python programs wishing to be oblivious of the OS- and device-dependent
properties of a CD-ROM can use this library.

%if !0%{?packman_bs}
%endif
%prep
%setup -q -n "pycdio-%{version}"

%build
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm=files.lst

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc README.txt

%changelog
* Sun Jun  5 2011 pascal.bleser@opensuse.org
- update to 0.17
* Fri Apr 16 2010 pascal.bleser@opensuse.org
- initial package (0.16)
